Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000168bareos-core[All Projects] directorpublic2013-05-06 10:512015-03-25 19:18
Reporterpstorz 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version12.4.3 
Target Version12.4.4Fixed in Version12.4.4 
Summary0000168: Enhance rerun command to be able to restart all failed jobs from last n days
DescriptionUsually when there is a major problem with the bareos system, multiple jobs are not run.

It would be nice if you could rerun all failed jobs from the last 24hs instead of having to search the jobids by hand.

syntax should be like "rerun days=1"
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Files

- Relationships

-  Notes
(0000408)
pstorz (administrator)
2013-05-10 14:27

Works
(0000443)
pstorz (administrator)
2013-06-05 09:58

documented in https://trac.dass-it.de/bareos/wiki/bareos/documentation [^]
(0000586)
mvwieringen adm (administrator)
2013-08-13 03:12

Fix committed to bareos bareos-12.4 branch with changesetid 933.
(0001372)
mvwieringen (developer)
2015-03-25 16:51

Fix committed to bareos2015 bareos-13.2 branch with changesetid 4217.
(0001528)
joergs (administrator)
2015-03-25 19:18

Due to the reimport of the Github repository to bugs.bareos.org, the status of some tickets have been changed. These tickets will be closed again.
Sorry for the noise.

- Related Changesets
bareos: bareos-12.4 ffd892f2
Timestamp: 2013-05-09 07:53:43
Author: pstorz
Committer: mvwieringen adm
Ported: N/A
Details ] Diff ]
Rerun command can rerun multiple failed jobs

We can now automatically choose multiple failed jobs
for rerunning.

The selection of the failed jobs to rerun are:

- Timeframe in which the failed jobs were scheduled
-> specify "days=" or "hours="

- Jobs newer than a certain jobid (the given jobid is included)
-> specifying "since_jobid"

Fixes 0000168 : Enhance rerun command to be able to restart all failed jobs from last n days

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
mod - src/console/console.c Diff ] File ]
mod - src/dird/ua_cmds.c Diff ] File ]
mod - src/dird/ua_run.c Diff ] File ]
bareos: master 98d3acc0
Timestamp: 2013-05-09 07:53:43
Author: pstorz
Committer: mvwieringen adm
Ported: N/A
Details ] Diff ]
Rerun command can rerun multiple failed jobs

We can now automatically choose multiple failed jobs
for rerunning.

The selection of the failed jobs to rerun are:

- Timeframe in which the failed jobs were scheduled
-> specify "days=" or "hours="

- Jobs newer than a certain jobid (the given jobid is included)
-> specifying "since_jobid"

Fixes 0000168 : Enhance rerun command to be able to restart all failed jobs from last n days

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
mod - src/dird/ua_run.c Diff ] File ]
mod - src/dird/ua_cmds.c Diff ] File ]
mod - src/console/console.c Diff ] File ]
bareos2015: bareos-12.4 6e416779
Timestamp: 2013-05-09 09:53:43
Author: pstorz
Committer: mvwieringen
Ported: N/A
Details ] Diff ]
Rerun command can rerun multiple failed jobs

We can now automatically choose multiple failed jobs
for rerunning.

The selection of the failed jobs to rerun are:

- Timeframe in which the failed jobs were scheduled
-> specify "days=" or "hours="

- Jobs newer than a certain jobid (the given jobid is included)
-> specifying "since_jobid"

Fixes 0000168 : Enhance rerun command to be able to restart all failed jobs from last n days

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
mod - src/console/console.c Diff ] File ]
mod - src/dird/ua_cmds.c Diff ] File ]
mod - src/dird/ua_run.c Diff ] File ]
bareos2015: bareos-13.2 697e6ffa
Timestamp: 2013-05-09 09:53:43
Author: pstorz
Committer: mvwieringen
Ported: N/A
Details ] Diff ]
Rerun command can rerun multiple failed jobs

We can now automatically choose multiple failed jobs
for rerunning.

The selection of the failed jobs to rerun are:

- Timeframe in which the failed jobs were scheduled
-> specify "days=" or "hours="

- Jobs newer than a certain jobid (the given jobid is included)
-> specifying "since_jobid"

Fixes 0000168 : Enhance rerun command to be able to restart all failed jobs from last n days

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
mod - src/console/console.c Diff ] File ]
mod - src/dird/ua_cmds.c Diff ] File ]
mod - src/dird/ua_run.c Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-05-06 10:51 pstorz New Issue
2013-05-08 12:38 pstorz Assigned To => pstorz
2013-05-08 12:38 pstorz Status new => assigned
2013-05-09 09:54 mvwieringen Changeset attached => bareos master 1a9fd1d9
2013-05-09 09:54 mvwieringen Note Added: 0000402
2013-05-09 09:54 mvwieringen Assigned To pstorz => mvwieringen
2013-05-09 09:54 mvwieringen Status assigned => resolved
2013-05-09 09:54 mvwieringen Resolution open => fixed
2013-05-10 14:27 pstorz Note Added: 0000408
2013-05-10 14:27 pstorz Status resolved => closed
2013-05-10 14:28 pstorz Product Version => 12.4.3
2013-05-10 14:28 pstorz Fixed in Version => 12.4.4
2013-05-10 14:28 pstorz Target Version => 12.4.4
2013-05-10 14:29 pstorz Fixed in Version 12.4.4 => 13.2.0
2013-05-10 14:29 pstorz Target Version 12.4.4 => 13.2.0
2013-05-10 15:08 pstorz Changeset attached => bareos Branch-12.4 2690f85b
2013-05-10 15:08 pstorz Note Added: 0000411
2013-05-10 15:08 pstorz Assigned To mvwieringen => pstorz
2013-05-10 15:08 pstorz Status closed => resolved
2013-05-10 15:09 pstorz Fixed in Version 13.2.0 => 12.4.4
2013-05-10 15:09 pstorz Target Version 13.2.0 => 12.4.4
2013-05-10 15:18 mvwieringen Status resolved => closed
2013-05-10 15:18 mvwieringen Assigned To pstorz =>
2013-05-24 12:53 pstorz Assigned To => pstorz
2013-05-24 12:53 pstorz Status closed => resolved
2013-06-05 09:58 pstorz Note Added: 0000443
2013-06-21 17:07 joergs Status resolved => closed
2013-08-13 03:12 mvwieringen adm Changeset attached => bareos master 98d3acc0
2013-08-13 03:12 mvwieringen adm Changeset attached => bareos bareos-12.4 ffd892f2
2013-08-13 03:12 mvwieringen adm Note Added: 0000586
2013-08-13 03:12 mvwieringen adm Assigned To pstorz => mvwieringen adm
2013-08-13 03:12 mvwieringen adm Status closed => resolved
2013-08-13 09:38 mvwieringen adm Note Deleted: 0000402
2013-08-13 09:38 mvwieringen adm Note Deleted: 0000411
2013-08-13 09:39 mvwieringen adm Assigned To mvwieringen adm =>
2013-08-13 09:39 mvwieringen adm Status resolved => closed
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-12.4 6e416779
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-13.2 697e6ffa
2015-03-25 16:51 mvwieringen Note Added: 0001372
2015-03-25 16:51 mvwieringen Status closed => resolved
2015-03-25 19:18 joergs Note Added: 0001528
2015-03-25 19:18 joergs Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker